Bug 958010 - plexus-container-default: Should be retired
Summary: plexus-container-default: Should be retired
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: plexus-container-default
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 958008 988091
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-30 06:26 UTC by Mikolaj Izdebski
Modified: 2013-07-26 15:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-26 15:33:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikolaj Izdebski 2013-04-30 06:26:09 UTC
Description of problem:
plexus-container-default is unmaintained upstream for several years and two other packages (plexus-containers-container-default and sisu-inject-plexus) provide mostly compatible API. Because of that plexus-container-default should be retired.

Currently gradle is the only package that requires or build-requires plexus-container-default; gradle should migrate to more recent container to keep working.

Version-Release number of selected component (if applicable):
1.0-0.13.a9

Comment 1 Mat Booth 2013-07-26 15:33:39 UTC
This package has been retired for F20 and newer. Please use plexus-containers-container-default instead.


Note You need to log in before you can comment on or make changes to this bug.